import React from 'react';
import PropTypes from 'prop-types';

import App from 'gatsby-core-theme/src/components/app';

const PageNotFound = ({ pageContext }) => <App pageContext={pageContext} />;

PageNotFound.propTypes = {
  pageContext: PropTypes.shape({
    page: PropTypes.shape({
      path: PropTypes.string,
    }),
  }).isRequired,
};

export default PageNotFound;
